enuToOtherAdv {oce} | R Documentation

## Convert east-north-up to other coordinate

### Description

Convert ADV velocity components from an enu-based coordinate system to another system, perhaps to align axes with the coastline.

### Usage

    enuToOtherAdv(x, heading=0, pitch=0, roll=0, debug=getOption("oceDebug"))

### Arguments

`x` | an object of class `"adv"`.
`heading` | number or vector of numbers, giving the angle, in degrees, to be added to the heading. See “Details”.
`pitch` | as `heading` but for pitch.
`roll` | as `heading` but for roll.
`debug` | a flag that turns on debugging. Set to 1 to get a debugging information.

### Details

The supplied angles specify rotations to be made around the axes for which heading, pitch, and roll are defined. For example, an eastward current will point southeast if `heading=45` is used.

The returned value has heading, pitch, and roll matching those of `x`, so these angles retain their meaning as the instrument orientation.

NOTE: this function works similarly to `xyzToEnuAdv`, except that in the present function, it makes no difference whether the instrument points up or down, etc.

### Author(s)

Dan Kelley

### See Also

See `read.adv` for other functions that relate to objects of class `"adv"`

[Package oce version 0.9-18 Index]